be.ehealth.technicalconnector.config.impl

## Class ConfigurationModuleProxy

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.ConfigurationModuleProxy

- All Implemented Interfaces:
    ConfigurationModule

      public final class ConfigurationModuleProxy
      extends Object
      implements ConfigurationModule

  This configuration module will set the proxy that the connector must use to connect to the internet.

  If no properties are specified in the configuration the system proxy will be used. Implementation of `ConfigurationModule`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleProxy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationModuleProxy

          public ConfigurationModuleProxy()

  - ### Method Detail

    - #### init

          public void init(Configuration config)

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      See Also:
        `ConfigurationModule.init(be.ehealth.technicalconnector.config.Configuration)`

    - #### unload

          public void unload()

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.